{% extends "base.html" %}

{% block content %}
<div class="container-fluid">
	<form method = post>

		<label><input type="radio" name="assgntyp" value=1>Homework</label>
		<label><input type="radio" name="assgntyp" value=2>Test</label>
		<label><input type="radio" name="assgntyp" value=3>Lab</label>
		<br>
		<label>Course ID<input type="text" name="courseid"></label>
		<br>
		<label>Description<input type="text" name="dscrptn"></label>
		<br>
		<label>Number of Questions<input type="text" name="numq"></label>
		<br>
		<label>Question description<input type="text" name="qdscrpt"></label>
		<br>
			<label for="example-datetime-local-input" class="col-2 col-form-label">Date and time</label>
			<div class="col-10">
			<input class="form-control" type="datetime-local" default={{ now }} name="datetime" >
			</div>

		{{ form.submit }}
		<br>
	</form>

	{% for c in allcrs %}
		{{ c.id }}
		{{ c.name }}
		{{ c.description }}
		<br>
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 1 %}
				===>
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				Homework #{{ loop.index }}- {{ h.description }}
				<br>
			{% endif %}
		{% endfor %}

		{% set count = 1 %}
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 2 %}
				===>
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				Exam #{{ count }}- {{ h.description }}
				<br>
				{% set count = count + 1 %}
			{% endif %}
		{% endfor %}
		
		{% set count = 1 %}
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 3 %}
				===>
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				Lab #{{ count }}- {{ h.description }}
				<br>
				{% set count = count + 1 %}
			{% endif %}
		{% endfor %}
	{% endfor %}

	<br>
	<br>
	<a href="{{ url_for('admin') }}">Back to admin page</a>
	<br>
	<br>
	<a href="{{ url_for('logout') }}">Logout</a>

{% for message in text %}
   {{ message }}<br>
{% endfor %}

</div>
{% endblock %}